SolrQueryParser.MagicFieldName (Solr 3.6.2 API)
Keywords: org.apache.solr.search.SolrQueryParser.MagicFieldName class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.solr.search
Enum SolrQueryParser.MagicFieldName

    java.lang.Object
      java.lang.Enum<SolrQueryParser.MagicFieldName>
          org.apache.solr.search.SolrQueryParser.MagicFieldName

All Implemented Interfaces:
  Serializable, Comparable<SolrQueryParser.MagicFieldName>

Enclosing class:
  SolrQueryParser

    public static enum SolrQueryParser.MagicFieldName

extends Enum<SolrQueryParser.MagicFieldName>

Identifies the list of all known "magic fields" that trigger special parsing behavior

Enum Constant Summary
`QUERY`
`VAL`

Field Summary
`String` | `field`
`String` | `subParser`

Method Summary
`static SolrQueryParser.MagicFieldName` | `get(String field)`
`String` | `toString()`
`static SolrQueryParser.MagicFieldName` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SolrQueryParser.MagicFieldName[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### VAL

    public static final SolrQueryParser.MagicFieldName VAL

### QUERY

    public static final SolrQueryParser.MagicFieldName QUERY

Field Detail

### field

    public final String field

### subParser

    public final String subParser

Method Detail

### values

    public static final SolrQueryParser.MagicFieldName[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SolrQueryParser.MagicFieldName c : SolrQueryParser.MagicFieldName.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SolrQueryParser.MagicFieldName valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<SolrQueryParser.MagicFieldName>`

### get

    public static SolrQueryParser.MagicFieldName get(String field)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD